de.esprit.common.gui

## Class ModifyFlag

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.gui.ModifyFlag

- All Implemented Interfaces:
    ModifyEvent.Source, Dumpable

      public class ModifyFlag
      extends DumpableObject
      implements ModifyEvent.Source

  This flag is supposed to be used as an indicator for a field input change. It fires a `ModifyEvent` to registered listeners if it's state changes.
  Author:
    Rainer Buesch
  See Also:
    `ModifyEvent`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyFlag()`
    `ModifyFlag(boolean isModified)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addModifyListener(ModifyEvent.Listener l)`
    `boolean` | `isModified()`
    `void` | `removeModifyListener(ModifyEvent.Listener l)`
    `void` | `reset()`
    `void` | `setModified()`
    `void` | `setModified(boolean isModified)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyFlag

          public ModifyFlag()

    - #### ModifyFlag

          public ModifyFlag(boolean isModified)

  - ### Method Detail

    - #### setModified

          public void setModified(boolean isModified)

    - #### setModified

          public void setModified()

    - #### reset

          public void reset()

    - #### isModified

          public boolean isModified()

    - #### addModifyListener

          public void addModifyListener(ModifyEvent.Listener l)

      Specified by:
        `addModifyListener` in interface `ModifyEvent.Source`

    - #### removeModifyListener

          public void removeModifyListener(ModifyEvent.Listener l)

      Specified by:
        `removeModifyListener` in interface `ModifyEvent.Source`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.